%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-web
Version:          7.0.13
Release:          2%{?dist}
Summary:          JBoss Web
Group:            Development/Libraries
License:          LGPLv3+
URL:              http://www.jboss.org/jbossweb

# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_7_0_13_FINAL/ jboss-web-7.0.13.Final
# rm -rf jboss-web-7.0.13.Final/java/javax
# tar cafJ jboss-web-7.0.13.Final.tar.xz jboss-web-7.0.13.Final
Source0:          %{name}-%{namedversion}.tar.xz
Source1:          %{name}-%{namedversion}-pom.xml

Patch0:           %{name}-%{namedversion}-build.patch
Patch1:           %{name}-%{namedversion}-javadoc.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jboss-annotations-1.1-api
BuildRequires:    jboss-el-2.2-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    ant
BuildRequires:    junit4
BuildRequires:    ecj

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-annotations-1.1-api
Requires:         jboss-el-2.2-api
Requires:         jboss-jsp-2.1-api
Requires:         jboss-servlet-3.0-api

%description
JBoss Web Server is an enterprise ready web server designed for medium and large applications, based on Tomcat.

%package doc
Summary:          User guide for %{name}
Group:            Documentation

%description doc
This package contains user guide for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
cp %{SOURCE2} .

ln -s $(build-classpath jboss-annotations-1.1-api) lib
ln -s $(build-classpath jboss-el-2.2-api) lib
ln -s $(build-classpath jboss-jsp-2.2-api) lib
ln -s $(build-classpath jboss-servlet-3.0-api) lib

%patch0 -p1
%patch1 -p1

%build
export CLASSPATH=$(build-classpath ecj)
ant

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 output/jars/jbossweb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom


# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp /apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE

%files doc
%doc LICENSE
%doc output/build/webapps/docs/*

%changelog
* Mon Mar 26 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-2
- Removed java/javax from source. Added links to depenencies. Added javadoc patch.

* Sun Mar 25 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-1
- Update to 7.0.13

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.9-1
- Initial packaging

